<style>
    * {
    margin: 0;
  }
  html, body {
    height: 100%;
  }
  .wrapper {
    min-height: 100%;
    height: auto !important;
    height: 100%;
    margin: 0 auto -4em;

  }
  .footer, .push {
    height: 20em;
    margin: auto;
    width: 20%;
    padding: 10px;


  }

  .center_div{
    margin: 0 auto;
    width:80% /* value of your choice which suits your alignment */
  }

  p {
    color: red;
  }
  .red{
    color: red;
  }


  #tfnewsearch{
      float:right;
      padding:20px;
  }
  .tftextinput{
      margin: 0;
      padding: 5px 15px;
      font-family: Arial, Helvetica, sans-serif;
      font-size:14px;
      border:1px solid #0076a3; border-right:0px;
      border-top-left-radius: 5px 5px;
      border-bottom-left-radius: 5px 5px;
  }
  .tfbutton {
      margin: 0;
      padding: 5px 15px;
      font-family: Arial, Helvetica, sans-serif;
      font-size:14px;
      outline: none;
      cursor: pointer;
      text-align: center;
      text-decoration: none;
      color: #ffffff;
      border: solid 1px #0076a3; border-right:0px;
      background: #0095cd;
      background: -webkit-gradient(linear, left top, left bottom, from(#00adee), to(#0078a5));
      background: -moz-linear-gradient(top,  #00adee,  #0078a5);
      border-top-right-radius: 5px 5px;
      border-bottom-right-radius: 5px 5px;
  }
  .tfbutton:hover {
      text-decoration: none;
      background: #007ead;
      background: -webkit-gradient(linear, left top, left bottom, from(#0095cc), to(#00678e));
      background: -moz-linear-gradient(top,  #0095cc,  #00678e);
  }
  /* Fixes submit button height problem in Firefox */
  .tfbutton::-moz-focus-inner {
      border: 0;
  }
  .tfclear{
      clear:both;
  }

</style>
<div ng-include="'./app/view/Includes/Header.html'"></div>
<br/>
<br/>

<div class="container">
    <div class="mainDiv">
        <div class="inputBox">
            <input class="tftextinput" type="text" auto-complete-directive url={{AuthourlocationURL}} ng-model="searchParameter" placeholder="Search Nick Name">
        </div>
        <div class="crossMark"  ng-click="clearSearchResult(1)">
            <img src="../../img/remove-icon-3184.png">
        </div>
        <div  class="searchButton">
            <button  type="button"  ng-click="searchAuthorBook(searchParameter)">
                Search
            </button>
        </div>
    </div>


<br>
    <br>
    <br>

    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Author Details</h3>
                    <div class="box-tools">
                        <div style="padding-top: 12px;">
                              <add-author ></add-author>
                        </div>
                        <div class="input-group" style="width: 150px;">

                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table table-hover">
                        <thead>
                        <tr>
                            <th>Name</th>
                            <th>NickName</th>
                            <th>City</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody style="overflow: scroll;height: 35px">
                        <tr ng-repeat="bookauthor in  authorDetails">

                            <td>{{bookauthor.name.fullName.firstName}}</td>
                            <td>{{bookauthor.nickName}}</td>
                            <td>{{bookauthor.address.fullAddress.city}}</td>

                            <td >
                                <add-author  author-data="bookauthor"></add-author>
                                <a type="button" class="btn btn-danger"    ng-click="openDeleteAuthor(bookauthor)">
                                    <span ng-if="bookauthor.isDeletedAuthor==1">Archive</span><span ng-if="bookauthor.isDeletedAuthor==0">unArchive</span>
                                </a>

                            </td>
                        </tr>
                        </tbody>
                    </table>

                    <div ng-if="authorDetails.length == 0">
                        <font style="font-size: 20px; align:center; padding-left: 416px;">Sorry, No Search Results Available</font>
                    </div>
                </div><!-- /.box-body -->
            </div><!-- /.box -->

        </div>

    </div>

</div>
<br/>
<br/>



<div class="footer" style="min-width:100%;max-width:100%;text-align:center">

  <pagination total-items="bigTotalItemsAuthors" ng-model="bigCurrentPageAutour"
              max-size="3" class="pagination-sm" boundary-links="true"
              rotate="false" ng-click="getAuthorForPagination(bigCurrentPageAutour)" ></pagination>
</div>








